Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.plugins.cpp.model
[Java] Interface CppSourceSet

    org.gradle.api.Named
      org.gradle.plugins.cpp.model.CppSourceSet

All Superinterfaces:
  Named

    public interface CppSourceSet
    extends Named

A `CppSourceSet` represents a logical group of C++ source.

Method Summary
`CppSourceSet` | `cpp(groovy.lang.Closure configureClosure)` Configures the C++ source for this set.
`SourceDirectorySet` | `getCpp()` Returns the C++ source which is to be compiled by the C++ compiler.
`SourceDirectorySet` | `getHeaders()` Returns the local header files associated with this source.
`java.lang.String` | `getName()` Returns the name of this source set.
`CppSourceSet` | `headers(groovy.lang.Closure configureClosure)` Configures the headers for this set.

Methods inherited from interface Named
getName

Method Detail

### cpp

    public CppSourceSet cpp(groovy.lang.Closure configureClosure)

  Configures the C++ source for this set.

  The given closure is used to configure the SourceDirectorySet which contains the C++ source.

  Parameters:
    `configureClosure` - The closure to use to configure the C++ source.
  Returns:
    this

### getCpp

    public SourceDirectorySet getCpp()

  Returns the C++ source which is to be compiled by the C++ compiler.
  Returns:
    the C++ source. Never returns null.

### getHeaders

    public SourceDirectorySet getHeaders()

  Returns the local header files associated with this source.
  Returns:
    the header files. Never returns null.

### getName

    public java.lang.String getName()

  Returns the name of this source set.
  Returns:
    The name. Never returns null.

### headers

    public CppSourceSet headers(groovy.lang.Closure configureClosure)

  Configures the headers for this set.

  The given closure is used to configure the SourceDirectorySet which contains the header files.

  Parameters:
    `configureClosure` - The closure to use to configure the header files source.
  Returns:
    this

Groovy Documentation